package com.lightinit.hsdataplatformresdir.model.admin;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Created by herbert on 2018/5/25.
 */
public class RequirementMicroappDataModel {

    //TODO获取类别信息
    private Long id;
    private String rqrmntId;
    private Long categoryId;
    private String rqrmntName;
    private String rqrmntSummary;
    private Date publishAt;
    private String rqrmntState;
    private String platformType;
    private BigDecimal money;
    private Date deadline;
    private String contact;
    private String phone;
    private String catelogName;
    private String publishBy;
    private String publishByString;
    private String email;
    private String auditOpinion;
    private String auditedBy;
    private String showname;
    private String username;
    private Date createdAt;
    private Date auditedAt;
    /*private  Requirement  requirmentModel;

    private  RequirementMicroapp microappModel;*/

    public Date getAuditedAt() {
        return auditedAt;
    }

    public void setAuditedAt(Date auditedAt) {
        this.auditedAt = auditedAt;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRqrmntId() {
        return rqrmntId;
    }

    public void setRqrmntId(String rqrmntId) {
        this.rqrmntId = rqrmntId;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getRqrmntName() {
        return rqrmntName;
    }

    public void setRqrmntName(String rqrmntName) {
        this.rqrmntName = rqrmntName;
    }

    public String getRqrmntSummary() {
        return rqrmntSummary;
    }

    public void setRqrmntSummary(String rqrmntSummary) {
        this.rqrmntSummary = rqrmntSummary;
    }

    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public String getRqrmntState() {
        return rqrmntState;
    }

    public void setRqrmntState(String rqrmntState) {
        this.rqrmntState = rqrmntState;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getCatelogName() {
        return catelogName;
    }

    public void setCatelogName(String catelogName) {
        this.catelogName = catelogName;
    }

    public String getPublishBy() {
        return publishBy;
    }

    public void setPublishBy(String publishBy) {
        this.publishBy = publishBy;
    }

    public String getPublishByString() {
        return publishByString;
    }

    public void setPublishByString(String publishByString) {
        this.publishByString = publishByString;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public String getAuditedBy() {
        return auditedBy;
    }

    public void setAuditedBy(String auditedBy) {
        this.auditedBy = auditedBy;
    }

    public String getShowname() {
        return showname;
    }

    public void setShowname(String showname) {
        this.showname = showname;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }
}
